Skip to main content


For some reason on my # # the Netgear Wifi router USB # does not work. On # it works.
I am guessing there is some kernel module missing or so.

Any ideas?

4 people reshared this

Does dmesg have anything to say on this?

👍 magic



Create a new mirror list for # sorted by the speed of the mirrors for # #, just run this:

curl -s "https://www.archlinux.org/mirrorlist/?country=DE&protocol=http&protocol=https&ip_version=4&ip_version=6&use_mirror_status=on" | sed -e 's/^#Server/Server/' -e '/^#/d' | rankmirrors -n 15 -|sudo tee /etc/pacman.d/mirrorlist



Each time I did a pacman -Syu during the last days I got a negative size difference for the update.
# #

same here. Maybe due to the change of archive format (better compression)?

@Photor the size diff it shows is the size after installation, are bin's compressed, no idea.



Something in # # starts #, I see it in the output of "ps aux" as "/usr/bin/ssh-agent -s" is is started as soon as I login with my personal users, but I have no idea what starts it.

The problem ist, this ssh-agent seems to to work, I have no idea why, so I would like to disable its start to see if that can solve my problem.

dublinux reshared this.

Did you check your session-manager from your desktop?

@hackbyte yes, finally I figured that out, took me a long time.
Xfce loads either ssh-agent or gpg agent. I found it by luck and deactivated it. Still have other ssh problems. Unbelievable what kind of problems I already encountered with # # in the last few days.



Wie verfiziere ich denn jetzt den Key von #, also von der threema-web version die im # liegt? Ist das überhaupt was offizielles, wahrscheinlich nicht, oder?

Hier im AUR mit Verweis auf Key: https://aur.archlinux.org/packages/threema-web/
Hier der Key: https://keybase.io/threema

# #

2 people reshared this



Hibernation still isn't a thing with # #. I tried and it just did a fresh boot. :-/

Do you have enough swap space? Hibernation is done by moving all RAM contents into swap IIRC.

@0mega ☠ it was another problem, this was somehow missing from the setup, I will try that solution on my # Mint machine in the next days I think. That would make life much easier. One thing after that will be to move the swap into the luks, maybe by using a Swap file (easier that rearranging the partitions).



Next quest with # #: Find out how to have the correct keymap loaded when booting so the crypt password is correct on the first attempt OR remove the special characters from the password. :-/

ah. Ok. Lightdm takes takes the settings directly from X-server.



I got a problem with # # and don't know how to proceed.

:: Proceed with installation? [Y/n] 
(176/176) checking keys in keyring                                     [########################################] 100%
downloading required keys...
error: key "6D42BDD116E0068F" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.


I tried:
pacman-key --init && pacman-key --populate archlinux


and then also
rm /etc/pacman.d/gnupg
pacman-key --init && pacman-key --populate archlinux


Still get the error. Any idea?

#

2 people reshared this

@utzer I've had similar issues with pacman & gpg keys... I'm not sure, but maybe manually importing that persons public keys would fix the problem? Sadly, gpg is one of the few things I have yet to properly and thoroughly grok :\ That said, the manual import has helped me get past similar (maybe the the same) errors in the past. You can verify keys for Arch here: https://www.archlinux.org/master-keys/ (at least I think this is sufficient confirmation to trust the key - again... not the best person to consult on gpg haha)

@utzer ....one of the few utterly basic and fundamental software technologies I have yet to grok - just wanted to qualify my previous statement, haha. To be clear, in general there is much I have yet to grok! :P



It seems there is some dependencies for #docker-compose not found in #Arch #Linux, but this somehow seems strange.

Can someone see what this does on some #Arch installation?
pacman -Syu docker-compose

I get this:
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "python-docker-pycreds", a dependency of "python-docker"
warning: cannot resolve "python-docker", a dependency of "docker-compose"
warning: cannot resolve "python-docker-pycreds", a dependency of "python-docker"
warning: cannot resolve "python-docker-py", a dependency of "python-dockerpty"
warning: cannot resolve "python-dockerpty", a dependency of "docker-compose"
:: The following package cannot be upgraded due to unresolvable dependencies:
      docker-compose

:: Do you want to skip the above package for this upgrade? [y/N]


Now I am somehow clueless how to solve this problem or how to circumvent the problem.

@utzer I'm running #Manjaro which results in this:
> sudo pacman -S docker-compose                                            
resolving dependencies...
looking for conflicting packages...

Packages (22) bridge-utils-1.6-3  containerd-1.2.9-1  docker-1:19.03.2-1
              python-asn1crypto-0.24.0-2  python-bcrypt-3.1.7-1
              python-cached-property-1.5.1-2  python-cffi-1.12.3-1
              python-cryptography-2.7-1  python-docker-4.0.2-1
              python-docker-pycreds-0.4.0-1  python-dockerpty-0.4.1-4
              python-jsonschema-3.0.2-1  python-paramiko-2.6.0-1
              python-ply-3.11-2  python-pyasn1-0.4.7-1  python-pycparser-2.19-1
              python-pynacl-1.3.0-1  python-pyrsistent-0.15.4-1
              python-texttable-1.6.2-1  python-websocket-client-0.56.0-1
              runc-1.0.0rc8-2  docker-compose-1.24.1-1

Total Download Size:    63,19 MiB
Total Installed Size:  307,26 MiB


Afaik you should not only use -S for installing additional packages.

@René W. can you tell me which server you have in /etc/pacman.d/mirrorlist on the first position?

There's also a native Linux package available, see the install doc for linux here https://docs.docker.com/compose/install/ or here https://github.com/docker/compose/releases



If there is a problem with some keys of packages #pacman wants to install then run this command, it will reinitialize the keyring and populate it with the keys needed.

pacman-key --init && pacman-key --populate archlinux

#Arch #Linux #tip



Can send mail with:
echo -e "Subject: Test Mail\r\n\r\nThis is a test mail" |msmtp --debug -t user@example.org

as root and as some other user, but Wordpress can not send mail.

I have set in php.ini:
sendmail_path = "/usr/bin/msmtp -C /etc/msmtprc -t"
smtp_port = 25
SMTP = localhost


I have no idea what is the problem, Wordpress just does not send email. Maybe there is some other setting preventing this? Anyone know what changed in #Arch #Linux standard config lately, it is working on couple of other systems with similar configuration but not on this newer date setup?

@Georgi Naplatanov I tried that too, so just set Sendmail path doesn't word either.

Is port 25 actually open (netstat -an | grep 25 | less)?



I think #Arch just released the #linux 5.x kernel, did an update 2 hours ago and it was some 4.x kernel, did an update 20 minutes ago and it showed a 5.x kernel. I stopped the update, it's for a server I do not was to mess up right now.

There's no special significance for the change from 4.x to 5.x. Linux Torvalds just "ran out of fingers and toes to count on".
I kid you not.
So nothing to worry about, go ahead as you would with any other kernel update.

@Russ O thanks, I will keep that in mind.



What #Arch #Linux based systems ist there besides #Antergos ? Is there any other nice rolling release Linux system that is working well for every day use?

Is there any Arch based systems that come with a good installer (script or gui) that will do a good #LUKS + #LVM setup (as Linux Mint and #Xubuntu do for example)?

By the way then full list of the Arch derivatives... 😁

https://wiki.archlinux.org/index.php/Arch-based_distributions

take it easy guy .... here is not tweeter or face .... someone answer you ... BTW Antergos is smart slim and elegant distro ... but as any *nix need some tweaks to work well mainly the Xorg who is very dependent of fine tune.
After all you will stay at nirvana



Why do the #systemd units of one of my #Arch #Linux #Server log in journal and the others don't? Two servers, both Arch Linux, on one stdout and errout are redirected to journalctl on the other journalctl is empty, except for system reboot messages.
Any idea?

Glad to hear it and best of luck to you!

I solved the problem if there was one, not sure what is was
sound like insanity and no control on what you do at all. its what the systemd is. its making people less-thinking and use less-logic every day. after little time of special "training" you not control even your life any more. manipulators happy in result.
why you guys just not go back to windowz?? people choosing linux generally cause they want control at first place. its mostly for people who "think" but not just "feel" only. ps: nothing personal. just want to understand.



Well, php-imagick fails to run if installed via #AUR in #Arch #Linux, php-pear fails to install via AUR, so I can also not install #imagick via #pecl as it is part of php-pear.
Maybe the AUR php-imagick is not compatible with #PHP 7.2.x?

Anyone got any tips?

Not really, I installed ImageMagick via pacman, I installed php-imagick via AUR, I see imagick.so in the folder with the other extensions, the extension is listed in php.ini (actually im /conf.d/imagick.ini), but the extension simply is not loading.

I forgot to check what the error log said...

But I am sure the packages are just not compatible, not sure what exactly, but must be something like that. php-imagick is always a pain in the ass.

Ah, ok. Unfortunately, I can't say any more about that.

aur/php-imagick 3.4.3-3 (93, 1,28)
PHP extension for IMagick
aur/php56-imagick 3.4.3-1 (4, 0,00)
PHP extension for IMagick
aur/php7-imagick-git 3.3.0RC2.r150.g623a3ac-2 (3, 0,00)
PHP extension for IMagick
aur/php70-imagick 3.4.3-1 (0, 0,00)
PHP extension for IMagick


maybe the wrong package.. not sure